.TH FILE 1 "System commands" "Yggdrasil" \" -*-
 \" nroff -*

.SH NAME
file \- guess the contents of a file

.SH SYNOPSIS
.B file
 [ \-c, \-\-check ]
 [ \-d, \-\-debug ]
 [ \-f, \-\-from file ]
 [ \-h, \-\-help ]
 [ \-L, \-\-links ]
 [ \-m, \-\-magic file ]
 [ \-v, \-\-version ]
 [ \-z, \-\-compressed ]
 file1 [file2 file3...]

.SH DESCRIPTION
The
.BR file
command examines the contents of a file and describes what it thinks
the file contains.
.SS OPTIONS
.TP
.I "\-c, \-\-check"
Check the magic file by printing diagnostic information while it is being read.
This is presently unimplemented.
.TP
.I "\-d, \-\-debug"
Activate debugging information.  Specifying this flag repeatedly increases
the amount of debugging information displayed.  Currently, specifying it
once will print all successful matches made from the magic file (see the
--magic or -m option), while specifying this flag twice displays the 
esults of all such tests.
.TP
.I "\-f, \-\-from file"
Read a newline separated list of files to be checked from file.
These files are in addition any listed on the command line.
.TP
.I "\-h, \-\-help"
Print a help message and exit.
.TP
.I "\-L, \-\-links"
 Follow symbolic links.
.TP
.I "\-m, \-\-magic file"
Read identification numbers from file.  If this option is not specified,
then the value of the
.B MAGIC
environment variable is used.  If there is no
.B MAGIC
in the environment, then either
.B /usr/share/magic
or
.B /etc/magic
is used.
.TP
.I "\-v, \-\-version"
 Print program version and exit.
.TP
.I "\-z, \-\-compressed"
Examine the uncompressed contents of compressed files.  This option
also supports bzip2 compression.
.SH BUGS
The
.B \-z (\-\-compressed)
option cannot be used against files presented on the standard input,
because
.BR file
reads some bytes from standard input in order to determine
that the file is compressed and then to invoke zcat or bzcat.
.SH SEE ALSO
.BR magic(5).
